Create a User Registry object
POST /orgs/{org}/user-registries
Create a User Registry object
Request
Request Body
UserRegistry
type
string
api_version
string
id
string
name
string
title
string
summary
string
integration_url
string
registry_type
string
user_managed
boolean
user_registry_managed
boolean
onboarding
string
case_sensitive
boolean
identity_providers
array
visibility
ResourceVisibility
type
string
group_urls
array
org_urls
array
configuration
object
endpoint
SecuredEndpoint
endpoint
Required *
string
tls_client_profile_url
string
owned
boolean
configured_catalog_user_registry_urls
array
configured_api_user_registry_urls
array
configured_oauth_provider_urls
array
member_urls
array
oauth_provider_urls
array
user_registry_setting_urls
array
org_url
string
cloud_setting_urls
array
metadata
object
created_at
string
updated_at
string
url
string
Response
201 - Successful create
type
string
api_version
string
id
string
name
string
title
string
summary
string
integration_url
string
registry_type
string
user_managed
boolean
user_registry_managed
boolean
onboarding
string
case_sensitive
boolean
identity_providers
array
visibility
ResourceVisibility
configuration
object
endpoint
SecuredEndpoint
owned
boolean
configured_catalog_user_registry_urls
array
configured_api_user_registry_urls
array
configured_oauth_provider_urls
array
member_urls
array
oauth_provider_urls
array
user_registry_setting_urls
array
org_url
string
cloud_setting_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
List the User Registry objects
GET /orgs/{org}/user-registries
List the User Registry objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Clear the User Registry objects
DELETE /orgs/{org}/user-registries
Clear the User Registry objects
Request
Path Parameters
Query Parameters
confirm
Required *
string
Confirmation for critical updates
Response
204 - Success
default -
Get the User Registry object by name or id
GET /user-registries/{org}/{user-registry}
Get the User Registry object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
integration_url
string
registry_type
string
user_managed
boolean
user_registry_managed
boolean
onboarding
string
case_sensitive
boolean
identity_providers
array
visibility
ResourceVisibility
configuration
object
endpoint
SecuredEndpoint
owned
boolean
configured_catalog_user_registry_urls
array
configured_api_user_registry_urls
array
configured_oauth_provider_urls
array
member_urls
array
oauth_provider_urls
array
user_registry_setting_urls
array
org_url
string
cloud_setting_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
Update the User Registry object by name or id
PATCH /user-registries/{org}/{user-registry}
Update the User Registry object by name or id
Request
Request Body
UserRegistry
type
string
api_version
string
id
string
name
string
title
string
summary
string
integration_url
string
registry_type
string
user_managed
boolean
user_registry_managed
boolean
onboarding
string
case_sensitive
boolean
identity_providers
array
visibility
ResourceVisibility
type
string
group_urls
array
org_urls
array
configuration
object
endpoint
SecuredEndpoint
endpoint
Required *
string
tls_client_profile_url
string
owned
boolean
configured_catalog_user_registry_urls
array
configured_api_user_registry_urls
array
configured_oauth_provider_urls
array
member_urls
array
oauth_provider_urls
array
user_registry_setting_urls
array
org_url
string
cloud_setting_urls
array
metadata
object
created_at
string
updated_at
string
url
string
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
integration_url
string
registry_type
string
user_managed
boolean
user_registry_managed
boolean
onboarding
string
case_sensitive
boolean
identity_providers
array
visibility
ResourceVisibility
configuration
object
endpoint
SecuredEndpoint
owned
boolean
configured_catalog_user_registry_urls
array
configured_api_user_registry_urls
array
configured_oauth_provider_urls
array
member_urls
array
oauth_provider_urls
array
user_registry_setting_urls
array
org_url
string
cloud_setting_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
Delete the User Registry object by name or id
DELETE /user-registries/{org}/{user-registry}
Delete the User Registry object by name or id
Request
Response
200 - Successful delete
type
string
api_version
string
id
string
name
string
title
string
summary
string
integration_url
string
registry_type
string
user_managed
boolean
user_registry_managed
boolean
onboarding
string
case_sensitive
boolean
identity_providers
array
visibility
ResourceVisibility
configuration
object
endpoint
SecuredEndpoint
owned
boolean
configured_catalog_user_registry_urls
array
configured_api_user_registry_urls
array
configured_oauth_provider_urls
array
member_urls
array
oauth_provider_urls
array
user_registry_setting_urls
array
org_url
string
cloud_setting_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
Execute a User Registry operation
POST /user-registries/{org}/{user-registry}/execute
Execute a User Registry operation
Request
Path Parameters
Query Parameters
operation
Required *
string
Operation to perform on the user registry (get_base_dn_list, validate_password)
Response
200 - Success
default -
Test a User Registry connection
POST /user-registries/{org}/{user-registry}/test-connection
Test a User Registry connection
Request
Request Body
TestConnectionCredentials
username
string
password
string
Response
204 - Success
400 - Failure
status
integer
message
array
errors
array
default -
Execute a User Registry operation
POST /orgs/{org}/user-registries/execute
Execute a User Registry operation
Request
Request Body
UserRegistryExecute
user_registry
UserRegistry
type
string
api_version
string
id
string
name
string
title
string
summary
string
integration_url
string
registry_type
string
user_managed
boolean
user_registry_managed
boolean
onboarding
string
case_sensitive
boolean
identity_providers
array
visibility
object
configuration
object
endpoint
object
owned
boolean
configured_catalog_user_registry_urls
array
configured_api_user_registry_urls
array
configured_oauth_provider_urls
array
member_urls
array
oauth_provider_urls
array
user_registry_setting_urls
array
org_url
string
cloud_setting_urls
array
metadata
object
created_at
string
updated_at
string
url
string
Path Parameters
Query Parameters
operation
Required *
string
Operation to perform on the user registry (get_base_dn_list, validate_password)
Response
200 - Success
default -
Test a User Registry connection
POST /orgs/{org}/user-registries/test-connection
Test a User Registry connection
Request
Request Body
UserRegistryTestConnection
user_registry
UserRegistry
type
string
api_version
string
id
string
name
string
title
string
summary
string
integration_url
string
registry_type
string
user_managed
boolean
user_registry_managed
boolean
onboarding
string
case_sensitive
boolean
identity_providers
array
visibility
object
configuration
object
endpoint
object
owned
boolean
configured_catalog_user_registry_urls
array
configured_api_user_registry_urls
array
configured_oauth_provider_urls
array
member_urls
array
oauth_provider_urls
array
user_registry_setting_urls
array
org_url
string
cloud_setting_urls
array
metadata
object
created_at
string
updated_at
string
url
string
credentials
TestConnectionCredentials
username
string
password
string
Response
204 - Success
400 - Failure
status
integer
message
array
errors
array
default -
Search for users in the user registry
POST /user-registries/{org}/{user-registry}/search
Search for users in the user registry
Request
Request Body
UserSearch
username
string
remote
boolean
Path Parameters
Query Parameters
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Create a User object
POST /user-registries/{org}/{user-registry}/users
Create a User object
Request
Request Body
User
type
string
api_version
string
id
string
name
string
title
string
summary
string
state
string
identity_provider
string
username
string
password
string
force_password_change
boolean
string
first_name
string
last_name
string
photo
string
last_login_at
string
member_urls
array
org_url
string
user_registry_url
string
hashed_password
string
salt
string
metadata
object
created_at
string
updated_at
string
url
string
Response
201 - Successful create
type
string
api_version
string
id
string
name
string
title
string
summary
string
state
string
identity_provider
string
username
string
password
string
force_password_change
boolean
string
first_name
string
last_name
string
photo
string
last_login_at
string
member_urls
array
org_url
string
user_registry_url
string
hashed_password
string
salt
string
metadata
object
created_at
string
updated_at
string
url
string
default -
List the User objects
GET /user-registries/{org}/{user-registry}/users
List the User objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Clear the User objects
DELETE /user-registries/{org}/{user-registry}/users
Clear the User objects
Request
Path Parameters
Query Parameters
confirm
Required *
string
Confirmation for critical updates
Response
204 - Success
default -
Get the User object by name or id
GET /user-registries/{org}/{user-registry}/users/{user}
Get the User object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
state
string
identity_provider
string
username
string
password
string
force_password_change
boolean
string
first_name
string
last_name
string
photo
string
last_login_at
string
member_urls
array
org_url
string
user_registry_url
string
hashed_password
string
salt
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Update the User object by name or id
PATCH /user-registries/{org}/{user-registry}/users/{user}
Update the User object by name or id
Request
Request Body
User
type
string
api_version
string
id
string
name
string
title
string
summary
string
state
string
identity_provider
string
username
string
password
string
force_password_change
boolean
string
first_name
string
last_name
string
photo
string
last_login_at
string
member_urls
array
org_url
string
user_registry_url
string
hashed_password
string
salt
string
metadata
object
created_at
string
updated_at
string
url
string
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
state
string
identity_provider
string
username
string
password
string
force_password_change
boolean
string
first_name
string
last_name
string
photo
string
last_login_at
string
member_urls
array
org_url
string
user_registry_url
string
hashed_password
string
salt
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Delete the User object by name or id
DELETE /user-registries/{org}/{user-registry}/users/{user}
Delete the User object by name or id
Request
Response
200 - Successful delete
type
string
api_version
string
id
string
name
string
title
string
summary
string
state
string
identity_provider
string
username
string
password
string
force_password_change
boolean
string
first_name
string
last_name
string
photo
string
last_login_at
string
member_urls
array
org_url
string
user_registry_url
string
hashed_password
string
salt
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Send reset password link
POST /request-password-reset
Send reset password link
Request
Request Body
RequestPasswordReset
realm
string
string
Response
204 - Success
default -
Reset password
POST /user-registries/{org}/{user-registry}/users/{user}/reset-password
Reset password
Request
Request Body
ResetPassword
password
string
Response
204 - Success
default -
Search for users in the admin realm
POST /cloud/admin/search/user
Search for users in the admin realm
Request
Request Body
UserSearch
username
string
remote
boolean
Path Parameters
Query Parameters
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Search for users in the provider realm
POST /cloud/provider/search/user
Search for users in the provider realm
Request
Request Body
UserSearch
username
string
remote
boolean
Path Parameters
Query Parameters
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
List Identity Providers in the admin realm
GET /cloud/admin/identity-providers
List Identity Providers in the admin realm
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
List Identity Providers in the provider realm
GET /cloud/provider/identity-providers
List Identity Providers in the provider realm
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Generate a token
POST /token
Generate a token
Request
Request Body
TokenRequest
username
string
password
string
assertion
string
realm
string
client_id
string
client_secret
string
code
string
refresh_token
string
api_key
string
grant_type
Required *
string
Response
200 - Success
access_token
string
token_type
string
expires_in
integer
refresh_token
string
refresh_expires_in
integer
default -
Authorization provider redirect endpoint
GET /oauth2/redirect
Authorization provider redirect endpoint
Request
Path Parameters
Query Parameters
state
string
State for a webhook event in subscriber queue
code
string
Oauth2 code
error
string
error per OAuth specification
error_description
string
error_description per OAuth specification
error_uri
string
error_uri per OAuth specification
oauth_token
string
Oauth Token for Twitter
oauth_verifier
string
Oauth Verifier for Twitter
Response
302 - Success
default -
Authorization provider redirect endpoint
POST /oauth2/redirect
Authorization provider redirect endpoint
Request
Request Body
OauthRedirect
code
string
state
string
error
string
error_description
string
error_uri
string
Path Parameters
Query Parameters
state
string
State for a webhook event in subscriber queue
code
string
Oauth2 code
error
string
error per OAuth specification
error_description
string
error_description per OAuth specification
error_uri
string
error_uri per OAuth specification
oauth_token
string
Oauth Token for Twitter
oauth_verifier
string
Oauth Verifier for Twitter
Response
302 - Success
default -
Create a API Key object
POST /cloud/api-keys
Create a API Key object
Request
Request Body
APIKey
type
string
api_version
string
id
string
name
string
title
string
summary
string
client_type
string
realm
string
user_url
string
id_token
string
token_exp
integer
token_iat
integer
token_jti
string
api_key
string
description
string
ttl
integer
metadata
object
created_at
string
updated_at
string
url
string
Response
201 - Successful create
type
string
api_version
string
id
string
name
string
title
string
summary
string
client_type
string
realm
string
user_url
string
id_token
string
token_exp
integer
token_iat
integer
token_jti
string
api_key
string
description
string
ttl
integer
metadata
object
created_at
string
updated_at
string
url
string
default -
List the API Key objects
GET /cloud/api-keys
List the API Key objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Get the API Key object by name or id
GET /cloud/api-keys/{api-key}
Get the API Key object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
client_type
string
realm
string
user_url
string
id_token
string
token_exp
integer
token_iat
integer
token_jti
string
api_key
string
description
string
ttl
integer
metadata
object
created_at
string
updated_at
string
url
string
default -
Delete the API Key object by name or id
DELETE /cloud/api-keys/{api-key}
Delete the API Key object by name or id
Request
Response
200 - Successful delete
type
string
api_version
string
id
string
name
string
title
string
summary
string
client_type
string
realm
string
user_url
string
id_token
string
token_exp
integer
token_iat
integer
token_jti
string
api_key
string
description
string
ttl
integer
metadata
object
created_at
string
updated_at
string
url
string
default -
Get the Organization Setting object
GET /orgs/{org}/settings
Get the Organization Setting object
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
name
string
title
string
summary
string
invitation_ttl
integer
custom_notification_templates_enabled
boolean
email_sender
EmailSender
metadata
object
created_at
string
updated_at
string
url
string
default -
Update the Organization Setting object
PUT /orgs/{org}/settings
Update the Organization Setting object
Request
Request Body
OrgSetting
type
string
api_version
string
name
string
title
string
summary
string
invitation_ttl
integer
custom_notification_templates_enabled
boolean
email_sender
EmailSender
custom
boolean
name
string
address
string
metadata
object
created_at
string
updated_at
string
url
string
Response
200 - Success
type
string
api_version
string
name
string
title
string
summary
string
invitation_ttl
integer
custom_notification_templates_enabled
boolean
email_sender
EmailSender
metadata
object
created_at
string
updated_at
string
url
string
default -
List all Notification Template objects in all collections
GET /orgs/{org}/settings/notification-templates
List all Notification Template objects in all collections
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
List the Notification Template objects
GET /orgs/{org}/settings/notification-templates/provider
List the Notification Template objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Get the Notification Template object by name or id
GET /orgs/{org}/settings/notification-templates/provider/{notification-template}
Get the Notification Template object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
notification_template_type
string
title
string
summary
string
scope
string
variables
array
subject
string
body
string
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Update the Notification Template object by name or id
PATCH /orgs/{org}/settings/notification-templates/provider/{notification-template}
Update the Notification Template object by name or id
Request
Request Body
NotificationTemplate
type
string
api_version
string
id
string
name
string
notification_template_type
string
title
string
summary
string
scope
string
variables
array
subject
string
body
string
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
Response
200 - Success
type
string
api_version
string
id
string
name
string
notification_template_type
string
title
string
summary
string
scope
string
variables
array
subject
string
body
string
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Notification Template objects
GET /orgs/{org}/settings/notification-templates/catalog
List the Notification Template objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Get the Notification Template object by name or id
GET /orgs/{org}/settings/notification-templates/catalog/{notification-template}
Get the Notification Template object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
notification_template_type
string
title
string
summary
string
scope
string
variables
array
subject
string
body
string
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Update the Notification Template object by name or id
PATCH /orgs/{org}/settings/notification-templates/catalog/{notification-template}
Update the Notification Template object by name or id
Request
Request Body
NotificationTemplate
type
string
api_version
string
id
string
name
string
notification_template_type
string
title
string
summary
string
scope
string
variables
array
subject
string
body
string
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
Response
200 - Success
type
string
api_version
string
id
string
name
string
notification_template_type
string
title
string
summary
string
scope
string
variables
array
subject
string
body
string
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Notification Template objects
GET /orgs/{org}/settings/notification-templates/space
List the Notification Template objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Get the Notification Template object by name or id
GET /orgs/{org}/settings/notification-templates/space/{notification-template}
Get the Notification Template object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
notification_template_type
string
title
string
summary
string
scope
string
variables
array
subject
string
body
string
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Update the Notification Template object by name or id
PATCH /orgs/{org}/settings/notification-templates/space/{notification-template}
Update the Notification Template object by name or id
Request
Request Body
NotificationTemplate
type
string
api_version
string
id
string
name
string
notification_template_type
string
title
string
summary
string
scope
string
variables
array
subject
string
body
string
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
Response
200 - Success
type
string
api_version
string
id
string
name
string
notification_template_type
string
title
string
summary
string
scope
string
variables
array
subject
string
body
string
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Notification Template objects
GET /orgs/{org}/settings/notification-templates/consumer
List the Notification Template objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Get the Notification Template object by name or id
GET /orgs/{org}/settings/notification-templates/consumer/{notification-template}
Get the Notification Template object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
notification_template_type
string
title
string
summary
string
scope
string
variables
array
subject
string
body
string
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Update the Notification Template object by name or id
PATCH /orgs/{org}/settings/notification-templates/consumer/{notification-template}
Update the Notification Template object by name or id
Request
Request Body
NotificationTemplate
type
string
api_version
string
id
string
name
string
notification_template_type
string
title
string
summary
string
scope
string
variables
array
subject
string
body
string
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
Response
200 - Success
type
string
api_version
string
id
string
name
string
notification_template_type
string
title
string
summary
string
scope
string
variables
array
subject
string
body
string
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Get the Organization object by name or id
GET /orgs/{org}
Get the Organization object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
org_type
string
state
string
owner_url
string
gateway_service_urls
array
portal_service_urls
array
user_registry_urls
array
tls_client_profile_urls
array
oauth_provider_urls
array
billing_urls
array
group_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
Update the Organization object by name or id
PATCH /orgs/{org}
Update the Organization object by name or id
Request
Request Body
Org
type
string
api_version
string
id
string
name
string
title
string
summary
string
org_type
string
state
string
owner_url
string
gateway_service_urls
array
portal_service_urls
array
user_registry_urls
array
tls_client_profile_urls
array
oauth_provider_urls
array
billing_urls
array
group_urls
array
metadata
object
created_at
string
updated_at
string
url
string
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
org_type
string
state
string
owner_url
string
gateway_service_urls
array
portal_service_urls
array
user_registry_urls
array
tls_client_profile_urls
array
oauth_provider_urls
array
billing_urls
array
group_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
Delete the Organization object by name or id
DELETE /orgs/{org}
Delete the Organization object by name or id
Request
Response
200 - Successful delete
type
string
api_version
string
id
string
name
string
title
string
summary
string
org_type
string
state
string
owner_url
string
gateway_service_urls
array
portal_service_urls
array
user_registry_urls
array
tls_client_profile_urls
array
oauth_provider_urls
array
billing_urls
array
group_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
Transfer owner to an associate
POST /orgs/{org}/transfer-owner
Transfer owner to an associate
Request
Request Body
TransferOwner
new_owner_associate_url
string
new_owner_member_url
string
old_owner_new_role_urls
array
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
org_type
string
state
string
owner_url
string
gateway_service_urls
array
portal_service_urls
array
user_registry_urls
array
tls_client_profile_urls
array
oauth_provider_urls
array
billing_urls
array
group_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
Search provider users from an organization.
POST /orgs/{org}/search/user
Search provider users from an organization.
Request
Request Body
UserSearch
username
string
remote
boolean
Path Parameters
Query Parameters
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
List the Associate objects
GET /orgs/{org}/associates
List the Associate objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Get the Associate object by name or id
GET /orgs/{org}/associates/{associate}
Get the Associate object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
state
string
user
User
org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Create a Member Invitation object
POST /orgs/{org}/member-invitations
Create a Member Invitation object
Request
Request Body
MemberInvitation
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
notify
boolean
activation_link
string
string
org_type
string
role_urls
array
expires_at
string
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
Response
201 - Successful create
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
notify
boolean
activation_link
string
string
org_type
string
role_urls
array
expires_at
string
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Member Invitation objects
GET /orgs/{org}/member-invitations
List the Member Invitation objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Clear the Member Invitation objects
DELETE /orgs/{org}/member-invitations
Clear the Member Invitation objects
Request
Path Parameters
Query Parameters
confirm
Required *
string
Confirmation for critical updates
Response
204 - Success
default -
Get the Member Invitation object by name or id
GET /orgs/{org}/member-invitations/{member-invitation}
Get the Member Invitation object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
notify
boolean
activation_link
string
string
org_type
string
role_urls
array
expires_at
string
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Update the Member Invitation object by name or id
PATCH /orgs/{org}/member-invitations/{member-invitation}
Update the Member Invitation object by name or id
Request
Request Body
MemberInvitation
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
notify
boolean
activation_link
string
string
org_type
string
role_urls
array
expires_at
string
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
notify
boolean
activation_link
string
string
org_type
string
role_urls
array
expires_at
string
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Delete the Member Invitation object by name or id
DELETE /orgs/{org}/member-invitations/{member-invitation}
Delete the Member Invitation object by name or id
Request
Response
200 - Successful delete
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
notify
boolean
activation_link
string
string
org_type
string
role_urls
array
expires_at
string
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Regenerate the Member Invitation
POST /orgs/{org}/member-invitations/{member-invitation}/regenerate
Regenerate the Member Invitation
Request
Request Body
Regenerate
notify
boolean
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
notify
boolean
activation_link
string
string
org_type
string
role_urls
array
expires_at
string
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Register using the Member Invitation
POST /orgs/{org}/member-invitations/{member-invitation}/register
Register using the Member Invitation
Request
Request Body
MemberInvitationRegister
client_id
string
client_secret
string
realm
string
username
string
password
string
string
first_name
string
last_name
string
Path Parameters
Query Parameters
Response
201 - Success
member
Member
credentials
TokenResponse
default -
Accept using the Member Invitation
POST /orgs/{org}/member-invitations/{member-invitation}/accept
Accept using the Member Invitation
Request
Request Body
MemberInvitationAccept
client_id
string
client_secret
string
realm
string
username
string
password
string
token
string
token_secret
string
Path Parameters
Query Parameters
Response
201 - Success
member
Member
credentials
TokenResponse
default -
Create a Member object
POST /orgs/{org}/members
Create a Member object
Request
Request Body
Member
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
state
string
user
User
type
string
api_version
string
id
string
name
string
title
string
summary
string
state
string
identity_provider
string
username
string
password
string
force_password_change
boolean
string
first_name
string
last_name
string
photo
string
last_login_at
string
member_urls
array
org_url
string
user_registry_url
string
hashed_password
string
salt
string
metadata
object
created_at
string
updated_at
string
url
string
role_urls
array
inherited_role_urls
array
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
Response
201 - Successful create
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
state
string
user
User
role_urls
array
inherited_role_urls
array
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Member objects
GET /orgs/{org}/members
List the Member objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Clear the Member objects
DELETE /orgs/{org}/members
Clear the Member objects
Request
Path Parameters
Query Parameters
confirm
Required *
string
Confirmation for critical updates
Response
204 - Success
default -
Get the Member object by name or id
GET /orgs/{org}/members/{member}
Get the Member object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
state
string
user
User
role_urls
array
inherited_role_urls
array
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Update the Member object by name or id
PATCH /orgs/{org}/members/{member}
Update the Member object by name or id
Request
Request Body
Member
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
state
string
user
User
type
string
api_version
string
id
string
name
string
title
string
summary
string
state
string
identity_provider
string
username
string
password
string
force_password_change
boolean
string
first_name
string
last_name
string
photo
string
last_login_at
string
member_urls
array
org_url
string
user_registry_url
string
hashed_password
string
salt
string
metadata
object
created_at
string
updated_at
string
url
string
role_urls
array
inherited_role_urls
array
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
state
string
user
User
role_urls
array
inherited_role_urls
array
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Delete the Member object by name or id
DELETE /orgs/{org}/members/{member}
Delete the Member object by name or id
Request
Response
200 - Successful delete
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
state
string
user
User
role_urls
array
inherited_role_urls
array
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
List all Permission objects in all collections
GET /cloud/permissions
List all Permission objects in all collections
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
List the Permission objects
GET /cloud/permissions/org
List the Permission objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Get the Permission object by name or id
GET /cloud/permissions/org/{permission}
Get the Permission object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
permission_type
string
title
string
summary
string
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Permission objects
GET /cloud/permissions/cloud
List the Permission objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Get the Permission object by name or id
GET /cloud/permissions/cloud/{permission}
Get the Permission object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
permission_type
string
title
string
summary
string
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Permission objects
GET /cloud/permissions/provider
List the Permission objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Get the Permission object by name or id
GET /cloud/permissions/provider/{permission}
Get the Permission object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
permission_type
string
title
string
summary
string
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Permission objects
GET /cloud/permissions/consumer
List the Permission objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Get the Permission object by name or id
GET /cloud/permissions/consumer/{permission}
Get the Permission object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
permission_type
string
title
string
summary
string
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Permission objects
GET /cloud/permissions/deployment
List the Permission objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Get the Permission object by name or id
GET /cloud/permissions/deployment/{permission}
Get the Permission object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
permission_type
string
title
string
summary
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Create a Role object
POST /orgs/{org}/roles
Create a Role object
Request
Request Body
Role
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
permission_urls
array
inherited_permission_urls
array
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
Response
201 - Successful create
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
permission_urls
array
inherited_permission_urls
array
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Role objects
GET /orgs/{org}/roles
List the Role objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Clear the Role objects
DELETE /orgs/{org}/roles
Clear the Role objects
Request
Path Parameters
Query Parameters
confirm
Required *
string
Confirmation for critical updates
Response
204 - Success
default -
Get the Role object by name or id
GET /orgs/{org}/roles/{role}
Get the Role object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
permission_urls
array
inherited_permission_urls
array
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Update the Role object by name or id
PATCH /orgs/{org}/roles/{role}
Update the Role object by name or id
Request
Request Body
Role
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
permission_urls
array
inherited_permission_urls
array
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
permission_urls
array
inherited_permission_urls
array
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Delete the Role object by name or id
DELETE /orgs/{org}/roles/{role}
Delete the Role object by name or id
Request
Response
200 - Successful delete
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
permission_urls
array
inherited_permission_urls
array
org_url
string
catalog_url
string
space_url
string
consumer_org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Gateway Service objects
GET /orgs/{org}/gateway-services
List the Gateway Service objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Get the Gateway Service object by name or id
GET /orgs/{org}/gateway-services/{gateway-service}
Get the Gateway Service object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
integration_url
string
gateway_service_type
string
endpoint
string
api_endpoint_base
string
tls_client_profile_url
string
sni
array
oauth_shared_secret
string
visibility
ResourceVisibility
owned
boolean
configuration
object
analytics_service_url
string
webhook_url
string
webhook_state
string
configured_gateway_service_urls
array
org_url
string
availability_zone_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Portal Service objects
GET /orgs/{org}/portal-services
List the Portal Service objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Get the Portal Service object by name or id
GET /orgs/{org}/portal-services/{portal-service}
Get the Portal Service object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
web_endpoint_base
string
endpoint
string
endpoint_tls_client_profile_url
string
visibility
ResourceVisibility
owned
boolean
webhook_url
string
webhook_state
string
catalog_setting_urls
array
org_url
string
availability_zone_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Create a Oauth Provider object
POST /orgs/{org}/oauth-providers
Create a Oauth Provider object
Request
Request Body
OauthProvider
type
string
api_version
string
id
string
name
string
title
string
summary
string
debug
boolean
owned
boolean
provider_type
string
scopes
object
grants
array
gateway_version
string
advanced_scope
object
enabled
boolean
override_endpoint_from_api
boolean
default_validator_endpoint
object
request_query
string
request_headers_regex
string
response_headers_regex
string
native_provider
object
api
object
default_scopes
string
authorize_path
string
token_path
string
token_secret
object
clients
array
access_code_ttl
integer
access_token_ttl
integer
access_token_one_time_use
boolean
maximum_consent_ttl
integer
refresh_token
object
revocation
object
token_introspection
object
token_metadata
object
openid_connect
object
pkce
object
advanced_scope_security
object
native_provider_5000
object
third_party_config
object
token_validation_requirement
string
authorize_endpoint
string
token_endpoint
string
introspection_endpoint
object
security
array
basic_auth
object
custom_headername_format
string
advanced_scope_security
object
visibility
ResourceVisibility
type
string
group_urls
array
org_urls
array
user_registry_urls
array
tls_client_profile_urls
array
configured_oauth_provider_urls
array
org_url
string
metadata
object
created_at
string
updated_at
string
url
string
Response
201 - Successful create
type
string
api_version
string
id
string
name
string
title
string
summary
string
debug
boolean
owned
boolean
provider_type
string
scopes
object
grants
array
gateway_version
string
advanced_scope
object
native_provider
object
third_party_config
object
visibility
ResourceVisibility
user_registry_urls
array
tls_client_profile_urls
array
configured_oauth_provider_urls
array
org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Oauth Provider objects
GET /orgs/{org}/oauth-providers
List the Oauth Provider objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Clear the Oauth Provider objects
DELETE /orgs/{org}/oauth-providers
Clear the Oauth Provider objects
Request
Path Parameters
Query Parameters
confirm
Required *
string
Confirmation for critical updates
Response
204 - Success
default -
Get the Oauth Provider object by name or id
GET /orgs/{org}/oauth-providers/{oauth-provider}
Get the Oauth Provider object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
debug
boolean
owned
boolean
provider_type
string
scopes
object
grants
array
gateway_version
string
advanced_scope
object
native_provider
object
third_party_config
object
visibility
ResourceVisibility
user_registry_urls
array
tls_client_profile_urls
array
configured_oauth_provider_urls
array
org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Update the Oauth Provider object by name or id
PATCH /orgs/{org}/oauth-providers/{oauth-provider}
Update the Oauth Provider object by name or id
Request
Request Body
OauthProvider
type
string
api_version
string
id
string
name
string
title
string
summary
string
debug
boolean
owned
boolean
provider_type
string
scopes
object
grants
array
gateway_version
string
advanced_scope
object
enabled
boolean
override_endpoint_from_api
boolean
default_validator_endpoint
object
request_query
string
request_headers_regex
string
response_headers_regex
string
native_provider
object
api
object
default_scopes
string
authorize_path
string
token_path
string
token_secret
object
clients
array
access_code_ttl
integer
access_token_ttl
integer
access_token_one_time_use
boolean
maximum_consent_ttl
integer
refresh_token
object
revocation
object
token_introspection
object
token_metadata
object
openid_connect
object
pkce
object
advanced_scope_security
object
native_provider_5000
object
third_party_config
object
token_validation_requirement
string
authorize_endpoint
string
token_endpoint
string
introspection_endpoint
object
security
array
basic_auth
object
custom_headername_format
string
advanced_scope_security
object
visibility
ResourceVisibility
type
string
group_urls
array
org_urls
array
user_registry_urls
array
tls_client_profile_urls
array
configured_oauth_provider_urls
array
org_url
string
metadata
object
created_at
string
updated_at
string
url
string
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
debug
boolean
owned
boolean
provider_type
string
scopes
object
grants
array
gateway_version
string
advanced_scope
object
native_provider
object
third_party_config
object
visibility
ResourceVisibility
user_registry_urls
array
tls_client_profile_urls
array
configured_oauth_provider_urls
array
org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Delete the Oauth Provider object by name or id
DELETE /orgs/{org}/oauth-providers/{oauth-provider}
Delete the Oauth Provider object by name or id
Request
Response
200 - Successful delete
type
string
api_version
string
id
string
name
string
title
string
summary
string
debug
boolean
owned
boolean
provider_type
string
scopes
object
grants
array
gateway_version
string
advanced_scope
object
native_provider
object
third_party_config
object
visibility
ResourceVisibility
user_registry_urls
array
tls_client_profile_urls
array
configured_oauth_provider_urls
array
org_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Create a Billing object
POST /orgs/{org}/billings
Create a Billing object
Request
Request Body
Billing
type
string
api_version
string
id
string
name
string
title
string
summary
string
integration_url
string
configuration
object
visibility
ResourceVisibility
type
string
group_urls
array
org_urls
array
owned
boolean
configured_billing_urls
array
metadata
object
created_at
string
updated_at
string
url
string
Response
201 - Successful create
type
string
api_version
string
id
string
name
string
title
string
summary
string
integration_url
string
configuration
object
visibility
ResourceVisibility
owned
boolean
configured_billing_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Billing objects
GET /orgs/{org}/billings
List the Billing objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Clear the Billing objects
DELETE /orgs/{org}/billings
Clear the Billing objects
Request
Path Parameters
Query Parameters
confirm
Required *
string
Confirmation for critical updates
Response
204 - Success
default -
Get the Billing object by name or id
GET /orgs/{org}/billings/{billing}
Get the Billing object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
integration_url
string
configuration
object
visibility
ResourceVisibility
owned
boolean
configured_billing_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
Update the Billing object by name or id
PATCH /orgs/{org}/billings/{billing}
Update the Billing object by name or id
Request
Request Body
Billing
type
string
api_version
string
id
string
name
string
title
string
summary
string
integration_url
string
configuration
object
visibility
ResourceVisibility
type
string
group_urls
array
org_urls
array
owned
boolean
configured_billing_urls
array
metadata
object
created_at
string
updated_at
string
url
string
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
integration_url
string
configuration
object
visibility
ResourceVisibility
owned
boolean
configured_billing_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
Delete the Billing object by name or id
DELETE /orgs/{org}/billings/{billing}
Delete the Billing object by name or id
Request
Response
200 - Successful delete
type
string
api_version
string
id
string
name
string
title
string
summary
string
integration_url
string
configuration
object
visibility
ResourceVisibility
owned
boolean
configured_billing_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Job objects
GET /orgs/{org}/billings/{billing}/jobs
List the Job objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Clear the Job objects
DELETE /orgs/{org}/billings/{billing}/jobs
Clear the Job objects
Request
Path Parameters
Query Parameters
confirm
Required *
string
Confirmation for critical updates
Response
204 - Success
default -
Get the Job object by name or id
GET /orgs/{org}/billings/{billing}/jobs/{job}
Get the Job object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
state
string
activity
array
path
string
body
object
generated_at
string
processed_work
integer
processed_at
string
retries
integer
metadata
object
created_at
string
updated_at
string
url
string
default -
Delete the Job object by name or id
DELETE /orgs/{org}/billings/{billing}/jobs/{job}
Delete the Job object by name or id
Request
Response
200 - Successful delete
type
string
api_version
string
id
string
name
string
title
string
summary
string
state
string
activity
array
path
string
body
object
generated_at
string
processed_work
integer
processed_at
string
retries
integer
metadata
object
created_at
string
updated_at
string
url
string
default -
Re-attempt blocked or failed job
POST /orgs/{org}/billings/{billing}/jobs/{job}/retry
Re-attempt blocked or failed job
Request
Path Parameters
Query Parameters
confirm
Required *
string
Confirmation for critical updates
Response
200 - Success
default -
Create a TLS Client Profile object
POST /orgs/{org}/tls-client-profiles
Create a TLS Client Profile object
Request
Request Body
TLSClientProfile
type
string
api_version
string
id
string
name
string
version
string
title
string
summary
string
protocols
array
ciphers
array
elliptic_curve_auto_negotiation
boolean
elliptic_curve
array
insecure_server_connections
boolean
server_name_indication
boolean
owned
boolean
keystore_url
string
truststore_url
string
webhook_urls
array
visibility
ResourceVisibility
type
string
group_urls
array
org_urls
array
configured_tls_client_profile_urls
array
oauth_provider_urls
array
configured_oauth_provider_urls
array
mail_server_urls
array
gateway_service_urls
array
portal_service_urls
array
analytics_service_urls
array
org_url
string
cloud_setting_urls
array
metadata
object
created_at
string
updated_at
string
url
string
Response
201 - Successful create
type
string
api_version
string
id
string
name
string
version
string
title
string
summary
string
protocols
array
ciphers
array
elliptic_curve_auto_negotiation
boolean
elliptic_curve
array
insecure_server_connections
boolean
server_name_indication
boolean
owned
boolean
keystore_url
string
truststore_url
string
webhook_urls
array
visibility
ResourceVisibility
configured_tls_client_profile_urls
array
oauth_provider_urls
array
configured_oauth_provider_urls
array
mail_server_urls
array
gateway_service_urls
array
portal_service_urls
array
analytics_service_urls
array
org_url
string
cloud_setting_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
List all TLS Client Profile objects in all collections
GET /orgs/{org}/tls-client-profiles
List all TLS Client Profile objects in all collections
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Clear all TLS Client Profile objects in all collections
DELETE /orgs/{org}/tls-client-profiles
Clear all TLS Client Profile objects in all collections
Request
Path Parameters
Query Parameters
confirm
Required *
string
Confirmation for critical updates
cascade
boolean
Cascade the behavior
Response
204 - Success
default -
List the TLS Client Profile objects
GET /orgs/{org}/tls-client-profiles/{tls-client-profile-name}
List the TLS Client Profile objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Clear the TLS Client Profile objects
DELETE /orgs/{org}/tls-client-profiles/{tls-client-profile-name}
Clear the TLS Client Profile objects
Request
Path Parameters
Query Parameters
confirm
Required *
string
Confirmation for critical updates
Response
204 - Success
default -
Get the TLS Client Profile object by id
GET /orgs/{org}/tls-client-profiles/{tls-client-profile-id}
Get the TLS Client Profile object by id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
version
string
title
string
summary
string
protocols
array
ciphers
array
elliptic_curve_auto_negotiation
boolean
elliptic_curve
array
insecure_server_connections
boolean
server_name_indication
boolean
owned
boolean
keystore_url
string
truststore_url
string
webhook_urls
array
visibility
ResourceVisibility
configured_tls_client_profile_urls
array
oauth_provider_urls
array
configured_oauth_provider_urls
array
mail_server_urls
array
gateway_service_urls
array
portal_service_urls
array
analytics_service_urls
array
org_url
string
cloud_setting_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
Update the TLS Client Profile object by id
PATCH /orgs/{org}/tls-client-profiles/{tls-client-profile-id}
Update the TLS Client Profile object by id
Request
Request Body
TLSClientProfile
type
string
api_version
string
id
string
name
string
version
string
title
string
summary
string
protocols
array
ciphers
array
elliptic_curve_auto_negotiation
boolean
elliptic_curve
array
insecure_server_connections
boolean
server_name_indication
boolean
owned
boolean
keystore_url
string
truststore_url
string
webhook_urls
array
visibility
ResourceVisibility
type
string
group_urls
array
org_urls
array
configured_tls_client_profile_urls
array
oauth_provider_urls
array
configured_oauth_provider_urls
array
mail_server_urls
array
gateway_service_urls
array
portal_service_urls
array
analytics_service_urls
array
org_url
string
cloud_setting_urls
array
metadata
object
created_at
string
updated_at
string
url
string
Response
200 - Success
type
string
api_version
string
id
string
name
string
version
string
title
string
summary
string
protocols
array
ciphers
array
elliptic_curve_auto_negotiation
boolean
elliptic_curve
array
insecure_server_connections
boolean
server_name_indication
boolean
owned
boolean
keystore_url
string
truststore_url
string
webhook_urls
array
visibility
ResourceVisibility
configured_tls_client_profile_urls
array
oauth_provider_urls
array
configured_oauth_provider_urls
array
mail_server_urls
array
gateway_service_urls
array
portal_service_urls
array
analytics_service_urls
array
org_url
string
cloud_setting_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
Delete the TLS Client Profile object by id
DELETE /orgs/{org}/tls-client-profiles/{tls-client-profile-id}
Delete the TLS Client Profile object by id
Request
Response
200 - Successful delete
type
string
api_version
string
id
string
name
string
version
string
title
string
summary
string
protocols
array
ciphers
array
elliptic_curve_auto_negotiation
boolean
elliptic_curve
array
insecure_server_connections
boolean
server_name_indication
boolean
owned
boolean
keystore_url
string
truststore_url
string
webhook_urls
array
visibility
ResourceVisibility
configured_tls_client_profile_urls
array
oauth_provider_urls
array
configured_oauth_provider_urls
array
mail_server_urls
array
gateway_service_urls
array
portal_service_urls
array
analytics_service_urls
array
org_url
string
cloud_setting_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
Get the TLS Client Profile object by name and version
GET /orgs/{org}/tls-client-profiles/{tls-client-profile-name}/{tls-client-profile-version}
Get the TLS Client Profile object by name and version
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
version
string
title
string
summary
string
protocols
array
ciphers
array
elliptic_curve_auto_negotiation
boolean
elliptic_curve
array
insecure_server_connections
boolean
server_name_indication
boolean
owned
boolean
keystore_url
string
truststore_url
string
webhook_urls
array
visibility
ResourceVisibility
configured_tls_client_profile_urls
array
oauth_provider_urls
array
configured_oauth_provider_urls
array
mail_server_urls
array
gateway_service_urls
array
portal_service_urls
array
analytics_service_urls
array
org_url
string
cloud_setting_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
Update the TLS Client Profile object by name and version
PATCH /orgs/{org}/tls-client-profiles/{tls-client-profile-name}/{tls-client-profile-version}
Update the TLS Client Profile object by name and version
Request
Request Body
TLSClientProfile
type
string
api_version
string
id
string
name
string
version
string
title
string
summary
string
protocols
array
ciphers
array
elliptic_curve_auto_negotiation
boolean
elliptic_curve
array
insecure_server_connections
boolean
server_name_indication
boolean
owned
boolean
keystore_url
string
truststore_url
string
webhook_urls
array
visibility
ResourceVisibility
type
string
group_urls
array
org_urls
array
configured_tls_client_profile_urls
array
oauth_provider_urls
array
configured_oauth_provider_urls
array
mail_server_urls
array
gateway_service_urls
array
portal_service_urls
array
analytics_service_urls
array
org_url
string
cloud_setting_urls
array
metadata
object
created_at
string
updated_at
string
url
string
Response
200 - Success
type
string
api_version
string
id
string
name
string
version
string
title
string
summary
string
protocols
array
ciphers
array
elliptic_curve_auto_negotiation
boolean
elliptic_curve
array
insecure_server_connections
boolean
server_name_indication
boolean
owned
boolean
keystore_url
string
truststore_url
string
webhook_urls
array
visibility
ResourceVisibility
configured_tls_client_profile_urls
array
oauth_provider_urls
array
configured_oauth_provider_urls
array
mail_server_urls
array
gateway_service_urls
array
portal_service_urls
array
analytics_service_urls
array
org_url
string
cloud_setting_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
Delete a TLS Client Profile
DELETE /orgs/{org}/tls-client-profiles/{tls-client-profile-name}/{tls-client-profile-version}
Delete a TLS Client Profile
Request
Response
200 - Successful delete
type
string
api_version
string
id
string
name
string
version
string
title
string
summary
string
protocols
array
ciphers
array
elliptic_curve_auto_negotiation
boolean
elliptic_curve
array
insecure_server_connections
boolean
server_name_indication
boolean
owned
boolean
keystore_url
string
truststore_url
string
webhook_urls
array
visibility
ResourceVisibility
configured_tls_client_profile_urls
array
oauth_provider_urls
array
configured_oauth_provider_urls
array
mail_server_urls
array
gateway_service_urls
array
portal_service_urls
array
analytics_service_urls
array
org_url
string
cloud_setting_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
Create a Keystore object
POST /orgs/{org}/keystores
Create a Keystore object
Request
Request Body
Keystore
type
string
api_version
string
id
string
name
string
title
string
summary
string
private_key_entry
string
public_certificate_entry
CertEntry
pem
string
certificate_info
string
trusted_certificate_entries
array
keystore
string
password
string
tls_server_profile_urls
array
tls_client_profile_urls
array
metadata
object
created_at
string
updated_at
string
url
string
Response
201 - Successful create
type
string
api_version
string
id
string
name
string
title
string
summary
string
private_key_entry
string
public_certificate_entry
CertEntry
trusted_certificate_entries
array
keystore
string
password
string
tls_server_profile_urls
array
tls_client_profile_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Keystore objects
GET /orgs/{org}/keystores
List the Keystore objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Clear the Keystore objects
DELETE /orgs/{org}/keystores
Clear the Keystore objects
Request
Path Parameters
Query Parameters
confirm
Required *
string
Confirmation for critical updates
Response
204 - Success
default -
Get the Keystore object by name or id
GET /orgs/{org}/keystores/{keystore}
Get the Keystore object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
private_key_entry
string
public_certificate_entry
CertEntry
trusted_certificate_entries
array
keystore
string
password
string
tls_server_profile_urls
array
tls_client_profile_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
Update the Keystore object by name or id
PATCH /orgs/{org}/keystores/{keystore}
Update the Keystore object by name or id
Request
Request Body
Keystore
type
string
api_version
string
id
string
name
string
title
string
summary
string
private_key_entry
string
public_certificate_entry
CertEntry
pem
string
certificate_info
string
trusted_certificate_entries
array
keystore
string
password
string
tls_server_profile_urls
array
tls_client_profile_urls
array
metadata
object
created_at
string
updated_at
string
url
string
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
private_key_entry
string
public_certificate_entry
CertEntry
trusted_certificate_entries
array
keystore
string
password
string
tls_server_profile_urls
array
tls_client_profile_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
Delete the Keystore object by name or id
DELETE /orgs/{org}/keystores/{keystore}
Delete the Keystore object by name or id
Request
Response
200 - Successful delete
type
string
api_version
string
id
string
name
string
title
string
summary
string
private_key_entry
string
public_certificate_entry
CertEntry
trusted_certificate_entries
array
keystore
string
password
string
tls_server_profile_urls
array
tls_client_profile_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
Create a Truststore object
POST /orgs/{org}/truststores
Create a Truststore object
Request
Request Body
Truststore
type
string
api_version
string
id
string
name
string
title
string
summary
string
truststore
string
password
string
entry_urls
array
tls_server_profile_urls
array
tls_client_profile_urls
array
metadata
object
created_at
string
updated_at
string
url
string
Response
201 - Successful create
type
string
api_version
string
id
string
name
string
title
string
summary
string
truststore
string
password
string
entry_urls
array
tls_server_profile_urls
array
tls_client_profile_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Truststore objects
GET /orgs/{org}/truststores
List the Truststore objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Clear the Truststore objects
DELETE /orgs/{org}/truststores
Clear the Truststore objects
Request
Path Parameters
Query Parameters
confirm
Required *
string
Confirmation for critical updates
Response
204 - Success
default -
Get the Truststore object by name or id
GET /orgs/{org}/truststores/{truststore}
Get the Truststore object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
truststore
string
password
string
entry_urls
array
tls_server_profile_urls
array
tls_client_profile_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
Update the Truststore object by name or id
PATCH /orgs/{org}/truststores/{truststore}
Update the Truststore object by name or id
Request
Request Body
Truststore
type
string
api_version
string
id
string
name
string
title
string
summary
string
truststore
string
password
string
entry_urls
array
tls_server_profile_urls
array
tls_client_profile_urls
array
metadata
object
created_at
string
updated_at
string
url
string
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
truststore
string
password
string
entry_urls
array
tls_server_profile_urls
array
tls_client_profile_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
Delete the Truststore object by name or id
DELETE /orgs/{org}/truststores/{truststore}
Delete the Truststore object by name or id
Request
Response
200 - Successful delete
type
string
api_version
string
id
string
name
string
title
string
summary
string
truststore
string
password
string
entry_urls
array
tls_server_profile_urls
array
tls_client_profile_urls
array
metadata
object
created_at
string
updated_at
string
url
string
default -
Create a Entry object
POST /orgs/{org}/truststores/{truststore}/entries
Create a Entry object
Request
Request Body
Entry
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
entry_type
string
pem
string
certificate_info
string
metadata
object
created_at
string
updated_at
string
url
string
Response
201 - Successful create
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
entry_type
string
pem
string
certificate_info
string
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Entry objects
GET /orgs/{org}/truststores/{truststore}/entries
List the Entry objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Clear the Entry objects
DELETE /orgs/{org}/truststores/{truststore}/entries
Clear the Entry objects
Request
Path Parameters
Query Parameters
confirm
Required *
string
Confirmation for critical updates
Response
204 - Success
default -
Get the Entry object by name or id
GET /orgs/{org}/truststores/{truststore}/entries/{entry}
Get the Entry object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
entry_type
string
pem
string
certificate_info
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Update the Entry object by name or id
PATCH /orgs/{org}/truststores/{truststore}/entries/{entry}
Update the Entry object by name or id
Request
Request Body
Entry
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
entry_type
string
pem
string
certificate_info
string
metadata
object
created_at
string
updated_at
string
url
string
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
entry_type
string
pem
string
certificate_info
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Delete the Entry object by name or id
DELETE /orgs/{org}/truststores/{truststore}/entries/{entry}
Delete the Entry object by name or id
Request
Response
200 - Successful delete
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
entry_type
string
pem
string
certificate_info
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Get the Catalog Setting object
GET /catalogs/{org}/{catalog}/settings
Get the Catalog Setting object
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
name
string
title
string
summary
string
user_registry_default_url
string
production_mode
boolean
portal
object
product_lifecycle_approvals
array
task_self_approval
boolean
application_lifecycle
object
consumer_self_service_onboarding
boolean
invitation_ttl
integer
legacy_endpoint_behavior
string
v5_endpoint_substitution_behavior
object
vanity_api_endpoint
object
spaces_enabled
boolean
custom_notification_templates_enabled
boolean
email_sender
EmailSender
hash_client_secret
boolean
org_url
string
catalog_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Update the Catalog Setting object
PUT /catalogs/{org}/{catalog}/settings
Update the Catalog Setting object
Request
Request Body
CatalogSetting
type
string
api_version
string
name
string
title
string
summary
string
user_registry_default_url
string
production_mode
boolean
portal
object
type
string
endpoint
string
portal_service_url
string
webhook_url
string
webhook_state
string
product_lifecycle_approvals
array
task_self_approval
boolean
application_lifecycle
object
enabled
boolean
consumer_self_service_onboarding
boolean
invitation_ttl
integer
legacy_endpoint_behavior
string
v5_endpoint_substitution_behavior
object
base_endpoints
array
unenforced_api_base_endpoint
string
vanity_api_endpoint
object
enabled
boolean
endpoint_preference
string
vanity_api_base_endpoints
array
spaces_enabled
boolean
custom_notification_templates_enabled
boolean
email_sender
EmailSender
custom
boolean
name
string
address
string
hash_client_secret
boolean
org_url
string
catalog_url
string
metadata
object
created_at
string
updated_at
string
url
string
Response
200 - Success
type
string
api_version
string
name
string
title
string
summary
string
user_registry_default_url
string
production_mode
boolean
portal
object
product_lifecycle_approvals
array
task_self_approval
boolean
application_lifecycle
object
consumer_self_service_onboarding
boolean
invitation_ttl
integer
legacy_endpoint_behavior
string
v5_endpoint_substitution_behavior
object
vanity_api_endpoint
object
spaces_enabled
boolean
custom_notification_templates_enabled
boolean
email_sender
EmailSender
hash_client_secret
boolean
org_url
string
catalog_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Create a Configured Gateway Service object
POST /catalogs/{org}/{catalog}/configured-gateway-services
Create a Configured Gateway Service object
Request
Request Body
ConfiguredGatewayService
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
gateway_service_url
string
integration_url
string
gateway_service_type
string
owned
boolean
configuration
object
availability_zone_url
string
endpoint
string
api_endpoint_base
string
catalog_base
string
sni
array
oauth_shared_secret
string
tls_client_profile_url
string
analytics_service_url
string
gateway_version
string
domain_name
string
managed_by
string
product_urls
array
configured_oauth_provider_urls
array
api_urls
array
webhook_url
string
catalog_webhook_url
string
webhook_state
string
catalog_webhook_state
string
space_urls
array
org_url
string
catalog_url
string
space_url
string
gateway_processing_status
SubscriberProcessingStatus
service_state
string
service_up_to_date
boolean
last_processed_event
object
number_of_outstanding_sent_events
integer
last_sent_event
object
number_of_outstanding_queued_events
integer
metadata
object
created_at
string
updated_at
string
url
string
Response
201 - Successful create
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
gateway_service_url
string
integration_url
string
gateway_service_type
string
owned
boolean
configuration
object
availability_zone_url
string
endpoint
string
api_endpoint_base
string
catalog_base
string
sni
array
oauth_shared_secret
string
tls_client_profile_url
string
analytics_service_url
string
gateway_version
string
domain_name
string
managed_by
string
product_urls
array
configured_oauth_provider_urls
array
api_urls
array
webhook_url
string
catalog_webhook_url
string
webhook_state
string
catalog_webhook_state
string
space_urls
array
org_url
string
catalog_url
string
space_url
string
gateway_processing_status
SubscriberProcessingStatus
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Configured Gateway Service objects
GET /catalogs/{org}/{catalog}/configured-gateway-services
List the Configured Gateway Service objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Clear the Configured Gateway Service objects
DELETE /catalogs/{org}/{catalog}/configured-gateway-services
Clear the Configured Gateway Service objects
Request
Path Parameters
Query Parameters
confirm
Required *
string
Confirmation for critical updates
Response
204 - Success
default -
Get the Configured Gateway Service object by name or id
GET /catalogs/{org}/{catalog}/configured-gateway-services/{configured-gateway-service}
Get the Configured Gateway Service object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
gateway_service_url
string
integration_url
string
gateway_service_type
string
owned
boolean
configuration
object
availability_zone_url
string
endpoint
string
api_endpoint_base
string
catalog_base
string
sni
array
oauth_shared_secret
string
tls_client_profile_url
string
analytics_service_url
string
gateway_version
string
domain_name
string
managed_by
string
product_urls
array
configured_oauth_provider_urls
array
api_urls
array
webhook_url
string
catalog_webhook_url
string
webhook_state
string
catalog_webhook_state
string
space_urls
array
org_url
string
catalog_url
string
space_url
string
gateway_processing_status
SubscriberProcessingStatus
metadata
object
created_at
string
updated_at
string
url
string
default -
Delete the Configured Gateway Service object by name or id
DELETE /catalogs/{org}/{catalog}/configured-gateway-services/{configured-gateway-service}
Delete the Configured Gateway Service object by name or id
Request
Response
200 - Successful delete
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
gateway_service_url
string
integration_url
string
gateway_service_type
string
owned
boolean
configuration
object
availability_zone_url
string
endpoint
string
api_endpoint_base
string
catalog_base
string
sni
array
oauth_shared_secret
string
tls_client_profile_url
string
analytics_service_url
string
gateway_version
string
domain_name
string
managed_by
string
product_urls
array
configured_oauth_provider_urls
array
api_urls
array
webhook_url
string
catalog_webhook_url
string
webhook_state
string
catalog_webhook_state
string
space_urls
array
org_url
string
catalog_url
string
space_url
string
gateway_processing_status
SubscriberProcessingStatus
metadata
object
created_at
string
updated_at
string
url
string
default -
Create a Configured Gateway Service object
POST /spaces/{org}/{catalog}/{space}/configured-gateway-services
Create a Configured Gateway Service object
Request
Request Body
ConfiguredGatewayService
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
gateway_service_url
string
integration_url
string
gateway_service_type
string
owned
boolean
configuration
object
availability_zone_url
string
endpoint
string
api_endpoint_base
string
catalog_base
string
sni
array
oauth_shared_secret
string
tls_client_profile_url
string
analytics_service_url
string
gateway_version
string
domain_name
string
managed_by
string
product_urls
array
configured_oauth_provider_urls
array
api_urls
array
webhook_url
string
catalog_webhook_url
string
webhook_state
string
catalog_webhook_state
string
space_urls
array
org_url
string
catalog_url
string
space_url
string
gateway_processing_status
SubscriberProcessingStatus
service_state
string
service_up_to_date
boolean
last_processed_event
object
number_of_outstanding_sent_events
integer
last_sent_event
object
number_of_outstanding_queued_events
integer
metadata
object
created_at
string
updated_at
string
url
string
Response
201 - Successful create
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
gateway_service_url
string
integration_url
string
gateway_service_type
string
owned
boolean
configuration
object
availability_zone_url
string
endpoint
string
api_endpoint_base
string
catalog_base
string
sni
array
oauth_shared_secret
string
tls_client_profile_url
string
analytics_service_url
string
gateway_version
string
domain_name
string
managed_by
string
product_urls
array
configured_oauth_provider_urls
array
api_urls
array
webhook_url
string
catalog_webhook_url
string
webhook_state
string
catalog_webhook_state
string
space_urls
array
org_url
string
catalog_url
string
space_url
string
gateway_processing_status
SubscriberProcessingStatus
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Configured Gateway Service objects
GET /spaces/{org}/{catalog}/{space}/configured-gateway-services
List the Configured Gateway Service objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Clear the Configured Gateway Service objects
DELETE /spaces/{org}/{catalog}/{space}/configured-gateway-services
Clear the Configured Gateway Service objects
Request
Path Parameters
Query Parameters
confirm
Required *
string
Confirmation for critical updates
Response
204 - Success
default -
Get the Configured Gateway Service object by name or id
GET /spaces/{org}/{catalog}/{space}/configured-gateway-services/{configured-gateway-service}
Get the Configured Gateway Service object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
gateway_service_url
string
integration_url
string
gateway_service_type
string
owned
boolean
configuration
object
availability_zone_url
string
endpoint
string
api_endpoint_base
string
catalog_base
string
sni
array
oauth_shared_secret
string
tls_client_profile_url
string
analytics_service_url
string
gateway_version
string
domain_name
string
managed_by
string
product_urls
array
configured_oauth_provider_urls
array
api_urls
array
webhook_url
string
catalog_webhook_url
string
webhook_state
string
catalog_webhook_state
string
space_urls
array
org_url
string
catalog_url
string
space_url
string
gateway_processing_status
SubscriberProcessingStatus
metadata
object
created_at
string
updated_at
string
url
string
default -
Delete the Configured Gateway Service object by name or id
DELETE /spaces/{org}/{catalog}/{space}/configured-gateway-services/{configured-gateway-service}
Delete the Configured Gateway Service object by name or id
Request
Response
200 - Successful delete
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
gateway_service_url
string
integration_url
string
gateway_service_type
string
owned
boolean
configuration
object
availability_zone_url
string
endpoint
string
api_endpoint_base
string
catalog_base
string
sni
array
oauth_shared_secret
string
tls_client_profile_url
string
analytics_service_url
string
gateway_version
string
domain_name
string
managed_by
string
product_urls
array
configured_oauth_provider_urls
array
api_urls
array
webhook_url
string
catalog_webhook_url
string
webhook_state
string
catalog_webhook_state
string
space_urls
array
org_url
string
catalog_url
string
space_url
string
gateway_processing_status
SubscriberProcessingStatus
metadata
object
created_at
string
updated_at
string
url
string
default -
Create a Configured Catalog User Registry object
POST /catalogs/{org}/{catalog}/configured-catalog-user-registries
Create a Configured Catalog User Registry object
Request
Request Body
ConfiguredCatalogUserRegistry
type
string
api_version
string
id
string
name
string
title
string
summary
string
user_registry_url
string
owned
boolean
integration_url
string
registry_type
string
user_managed
boolean
user_registry_managed
boolean
onboarding
string
case_sensitive
boolean
identity_providers
array
configuration
object
endpoint
SecuredEndpoint
endpoint
Required *
string
tls_client_profile_url
string
org_url
string
catalog_url
string
metadata
object
created_at
string
updated_at
string
url
string
Response
201 - Successful create
type
string
api_version
string
id
string
name
string
title
string
summary
string
user_registry_url
string
owned
boolean
integration_url
string
registry_type
string
user_managed
boolean
user_registry_managed
boolean
onboarding
string
case_sensitive
boolean
identity_providers
array
configuration
object
endpoint
SecuredEndpoint
org_url
string
catalog_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Configured Catalog User Registry objects
GET /catalogs/{org}/{catalog}/configured-catalog-user-registries
List the Configured Catalog User Registry objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Get the Configured Catalog User Registry object by name or id
GET /catalogs/{org}/{catalog}/configured-catalog-user-registries/{configured-catalog-user-registry}
Get the Configured Catalog User Registry object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
user_registry_url
string
owned
boolean
integration_url
string
registry_type
string
user_managed
boolean
user_registry_managed
boolean
onboarding
string
case_sensitive
boolean
identity_providers
array
configuration
object
endpoint
SecuredEndpoint
org_url
string
catalog_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Delete the Configured Catalog User Registry object by name or id
DELETE /catalogs/{org}/{catalog}/configured-catalog-user-registries/{configured-catalog-user-registry}
Delete the Configured Catalog User Registry object by name or id
Request
Response
200 - Successful delete
type
string
api_version
string
id
string
name
string
title
string
summary
string
user_registry_url
string
owned
boolean
integration_url
string
registry_type
string
user_managed
boolean
user_registry_managed
boolean
onboarding
string
case_sensitive
boolean
identity_providers
array
configuration
object
endpoint
SecuredEndpoint
org_url
string
catalog_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Search for users in the catalog user registry
POST /catalogs/{org}/{catalog}/configured-catalog-user-registries/{configured-catalog-user-registry}/search
Search for users in the catalog user registry
Request
Request Body
UserSearch
username
string
remote
boolean
Path Parameters
Query Parameters
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Create a Configured API User Registry object
POST /catalogs/{org}/{catalog}/configured-api-user-registries
Create a Configured API User Registry object
Request
Request Body
ConfiguredAPIUserRegistry
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
user_registry_url
string
owned
boolean
integration_url
string
registry_type
string
user_managed
boolean
user_registry_managed
boolean
onboarding
string
case_sensitive
boolean
identity_providers
array
configuration
object
endpoint
SecuredEndpoint
endpoint
Required *
string
tls_client_profile_url
string
api_urls
array
global_policy_urls
array
space_urls
array
org_url
string
catalog_url
string
space_url
string
metadata
object
created_at
string
updated_at
string
url
string
Response
201 - Successful create
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
user_registry_url
string
owned
boolean
integration_url
string
registry_type
string
user_managed
boolean
user_registry_managed
boolean
onboarding
string
case_sensitive
boolean
identity_providers
array
configuration
object
endpoint
SecuredEndpoint
api_urls
array
global_policy_urls
array
space_urls
array
org_url
string
catalog_url
string
space_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Configured API User Registry objects
GET /catalogs/{org}/{catalog}/configured-api-user-registries
List the Configured API User Registry objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Clear the Configured API User Registry objects
DELETE /catalogs/{org}/{catalog}/configured-api-user-registries
Clear the Configured API User Registry objects
Request
Path Parameters
Query Parameters
confirm
Required *
string
Confirmation for critical updates
Response
204 - Success
default -
Get the Configured API User Registry object by name or id
GET /catalogs/{org}/{catalog}/configured-api-user-registries/{configured-api-user-registry}
Get the Configured API User Registry object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
user_registry_url
string
owned
boolean
integration_url
string
registry_type
string
user_managed
boolean
user_registry_managed
boolean
onboarding
string
case_sensitive
boolean
identity_providers
array
configuration
object
endpoint
SecuredEndpoint
api_urls
array
global_policy_urls
array
space_urls
array
org_url
string
catalog_url
string
space_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Delete the Configured API User Registry object by name or id
DELETE /catalogs/{org}/{catalog}/configured-api-user-registries/{configured-api-user-registry}
Delete the Configured API User Registry object by name or id
Request
Response
200 - Successful delete
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
user_registry_url
string
owned
boolean
integration_url
string
registry_type
string
user_managed
boolean
user_registry_managed
boolean
onboarding
string
case_sensitive
boolean
identity_providers
array
configuration
object
endpoint
SecuredEndpoint
api_urls
array
global_policy_urls
array
space_urls
array
org_url
string
catalog_url
string
space_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
Create a Configured API User Registry object
POST /spaces/{org}/{catalog}/{space}/configured-api-user-registries
Create a Configured API User Registry object
Request
Request Body
ConfiguredAPIUserRegistry
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
user_registry_url
string
owned
boolean
integration_url
string
registry_type
string
user_managed
boolean
user_registry_managed
boolean
onboarding
string
case_sensitive
boolean
identity_providers
array
configuration
object
endpoint
SecuredEndpoint
endpoint
Required *
string
tls_client_profile_url
string
api_urls
array
global_policy_urls
array
space_urls
array
org_url
string
catalog_url
string
space_url
string
metadata
object
created_at
string
updated_at
string
url
string
Response
201 - Successful create
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
user_registry_url
string
owned
boolean
integration_url
string
registry_type
string
user_managed
boolean
user_registry_managed
boolean
onboarding
string
case_sensitive
boolean
identity_providers
array
configuration
object
endpoint
SecuredEndpoint
api_urls
array
global_policy_urls
array
space_urls
array
org_url
string
catalog_url
string
space_url
string
metadata
object
created_at
string
updated_at
string
url
string
default -
List the Configured API User Registry objects
GET /spaces/{org}/{catalog}/{space}/configured-api-user-registries
List the Configured API User Registry objects
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
offset
integer
Offset item number from list to begin return
limit
integer
Maximum number of items to return
Response
200 - Success
total_results
integer
results
array
default -
Clear the Configured API User Registry objects
DELETE /spaces/{org}/{catalog}/{space}/configured-api-user-registries
Clear the Configured API User Registry objects
Request
Path Parameters
Query Parameters
confirm
Required *
string
Confirmation for critical updates
Response
204 - Success
default -
Get the Configured API User Registry object by name or id
GET /spaces/{org}/{catalog}/{space}/configured-api-user-registries/{configured-api-user-registry}
Get the Configured API User Registry object by name or id
Request
Path Parameters
Query Parameters
fields
string
List of field names to return
Response
200 - Success
type
string
api_version
string
id
string
name
string
title
string
summary
string
scope
string
user_registry_url
string
owned
boolean
integration_url
string
registry_type
string
user_managed
boolean
user_registry_managed
boolean
onboarding
string
case_sensitive
boolean
identity_providers
array
configuration
object
endpoint
SecuredEndpoint
api_urls
array
global_policy_urls
array
space_urls
array
org_url
string
catalog_url
string
space_url
string
[...]
